{*
* 2007-2023 PrestaShop
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    Ádalop <contact@prestashop.com>
*  @copyright 2023 Ádalop
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*}

<div class="tab-pane {if ($active_tab == '#tab_modules_related')} active {else} '' {/if}" id="tab_modules_related">
    <div class="panel">

        <h3><i class="icon-plug"></i> {l s='Related Modules' mod='adpmicrodatos'}</h3>
    
        <div class="block_related_modules">
            <ul class="block_modules_related related">
                <li class="item_module"> 
                    <img class="logo_module" src="{$module_dir|escape:'htmlall':'UTF-8'}views/img/logo_adpproductnameseo.png">
                    <div class="module_title"><span> {l s='Bulk Product Data Editor + Meta Tag - SEO' mod='adpmicrodatos'}</span></div>
                    <div class="module_description"><span>{l s='Improve your positioning and visibility in all search engines! This module generates richer content for your online shop by working massively and automatically with the information of the product sheets.' mod='adpmicrodatos'}</span></div>
                    <div class="module_button"> 
                        {if $iso_code_language == 'es'}
                            <a target="_blank" href="https://prestashop.pxf.io/AWY7zD" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a> 
                        {else if $iso_code_language == 'fr'}
                            <a target="_blank" href="https://prestashop.pxf.io/ZQe7kW" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'it'}
                            <a target="_blank" href="https://prestashop.pxf.io/oqaY2Y" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else}  
                            <a target="_blank" href="https://prestashop.pxf.io/1rKJjB" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {/if}
                    </div>
                </li>
                <li class="item_module"> 
                    <img class="logo_module" src="{$module_dir|escape:'htmlall':'UTF-8'}views/img/logo_adpsearchlocate.png">
                    <div class="module_title"><span> {l s='Search and Clean Incorrect Microdata - SEO' mod='adpmicrodatos'}</span></div>
                    <div class="module_description"><span>{l s='Locate duplicate or incorrectly configured microdata throughout your online store and delete them. Easy to install and compatible with any template or third party module, will help you configure microdata in your ecommerce.' mod='adpmicrodatos'}</span></div>
                    <div class="module_button"> 
                        {if $iso_code_language == 'es'}
                            <a target="_blank" href="https://prestashop.pxf.io/nL199o" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'fr'}
                            <a target="_blank" href="https://prestashop.pxf.io/oqqNAe" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'it'}
                            <a target="_blank" href="https://prestashop.pxf.io/VmmOnJ" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'de'}  
                            <a target="_blank" href="https://prestashop.pxf.io/OrrYkK" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else}  
                            <a target="_blank" href="https://prestashop.pxf.io/NkkGjO" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {/if}
                    </div>
                </li>
                <li class="item_module"> 
                    <img class="logo_module" src="{$module_dir|escape:'htmlall':'UTF-8'}views/img/logo_adpopengraph.png">
                    <div class="module_title"><span> {l s='Full integration & Customize Open Graph - SEO' mod='adpmicrodatos'}</span></div>
                    <div class="module_description"><span>{l s='Configure or Customize Open Graph metadata in your online shop automatically and clean your template from incorrect or redundant Open Graph metadata. Specific Open Graph metadata for Facebook and Twitter + Pixel Facebook integration.' mod='adpmicrodatos'}</span></div>
                    <div class="module_button"> 
                        {if $iso_code_language == 'es'}
                            <a target="_blank" href="https://prestashop.pxf.io/6ebBBV" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a> 
                        {else if $iso_code_language == 'fr'}
                            <a target="_blank" href="https://prestashop.pxf.io/WqqObO" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'it'}
                            <a target="_blank" href="https://prestashop.pxf.io/1rrG66" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'de'}  
                            <a target="_blank" href="https://prestashop.pxf.io/baak6m" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else}  
                            <a target="_blank" href="https://prestashop.pxf.io/KjjBQa" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {/if}
                    </div>
                </li>
                <li class="item_module"> 
                    <img class="logo_module" src="{$module_dir|escape:'htmlall':'UTF-8'}views/img/logo_json_rich_results_video.png">
                    <div class="module_title"><span> {l s='JSON-LD Rich Results Video' mod='adpmicrodatos'}</span></div>
                    <div class="module_description"><span>{l s='Display any video from your online shop on Google through rich results in JSON-LD format. You will be able to configure the videos located on any page of your ecommerce.' mod='adpmicrodatos'}</span></div>
                    <div class="module_button"> 
                        {if $iso_code_language == 'es'}
                            <a target="_blank" href="https://prestashop.pxf.io/3ePVVX" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a> 
                        {else if $iso_code_language == 'fr'}
                            <a target="_blank" href="https://prestashop.pxf.io/nLL4aR" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'it'}
                            <a target="_blank" href="https://prestashop.pxf.io/AWWgrJ" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'de'}  
                            <a target="_blank" href="https://prestashop.pxf.io/EKK0L9" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else}  
                            <a target="_blank" href="https://prestashop.pxf.io/q44W7n" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {/if}
                    </div>
                </li>
                <li class="item_module"> 
                    <img class="logo_module" src="{$module_dir|escape:'htmlall':'UTF-8'}views/img/logo_adpsearchandeditimages.png">
                    <div class="module_title"><span> {l s='Add Automatically Quality Images to your Products' mod='adpmicrodatos'}</span></div>
                    <div class="module_description"><span>{l s='Add free and unlimited quality images to your products automatically using Google Images, Amazon and Icecat as search platforms. Search your images by EAN-13, UPC, reference, product name or via free text field.' mod='adpmicrodatos'}</span></div>
                    <div class="module_button"> 
                        {if $iso_code_language == 'es'}
                            <a target="_blank" href="https://prestashop.pxf.io/OrR66z" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a> 
                        {else if $iso_code_language == 'fr'}
                            <a target="_blank" href="https://prestashop.pxf.io/EKK0k9" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'it'}
                            <a target="_blank" href="https://prestashop.pxf.io/Gmmba6" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'de'}  
                            <a target="_blank" href="https://prestashop.pxf.io/nLL4qR" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else}  
                            <a target="_blank" href="https://prestashop.pxf.io/LXX0Qa" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {/if}
                    </div>
                </li>
                <li class="item_module"> 
                    <img class="logo_module" src="{$module_dir|escape:'htmlall':'UTF-8'}views/img/logo_adpelementosconfianza.png">
                    <div class="module_title"><span> {l s='Advanced Animated Reinsurance elements' mod='adpmicrodatos'}</span></div>
                    <div class="module_description"><span>{l s='Add multiple customisable JPG, GIF, PNG and animated trust elements anywhere in your prestashop. It will help you to offer a good first impression to your customers and build customer loyalty' mod='adpmicrodatos'}</span></div>
                    <div class="module_button"> 
                        {if $iso_code_language == 'es'}
                            <a target="_blank" href="https://prestashop.pxf.io/vNnooO" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a> 
                        {else if $iso_code_language == 'fr'}
                            <a target="_blank" href="https://prestashop.pxf.io/baakLm" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'it'}
                            <a target="_blank" href="https://prestashop.pxf.io/eKKnD6" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'de'}  
                            <a target="_blank" href="https://prestashop.pxf.io/0ZZGgY" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else}  
                            <a target="_blank" href="https://prestashop.pxf.io/5ggkeo" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {/if}
                    </div>
                </li>
                <li class="item_module"> 
                    <img class="logo_module" src="{$module_dir|escape:'htmlall':'UTF-8'}views/img/logo_pack_microdatos_advanced.jpg">
                    <div class="module_title"><span> {l s='Pack JSON-LD Rich Results Schema - SEO Advanced' mod='adpmicrodatos'}</span></div>
                    <div class="module_description"><span>{l s='Buy this pack consisting of two rich results modules at a great price.' mod='adpmicrodatos'}</span></div>
                    <div class="module_button"> 
                        {if $iso_code_language == 'es'}
                            <a target="_blank" href="https://prestashop.pxf.io/DKVjjo" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a> 
                        {else if $iso_code_language == 'fr'}
                            <a target="_blank" href="https://prestashop.pxf.io/OrrYXK" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'it'}
                            <a target="_blank" href="https://prestashop.pxf.io/5ggkRo" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'de'}  
                            <a target="_blank" href="https://prestashop.pxf.io/oqqNxe" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else}  
                            <a target="_blank" href="https://prestashop.pxf.io/annNJq" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {/if}
                    </div>
                </li>
                <li class="item_module"> 
                    <img class="logo_module" src="{$module_dir|escape:'htmlall':'UTF-8'}views/img/logo_pack_microdatos_premium.jpg">
                    <div class="module_title"><span> {l s='Pack JSON-LD Rich Results Schema - SEO Premium' mod='adpmicrodatos'}</span></div>
                    <div class="module_description"><span>{l s='Buy this pack consisting of three rich results modules at a great price.' mod='adpmicrodatos'}</span></div>
                   <div class="module_button"> 
                        {if $iso_code_language == 'es'}
                            <a target="_blank" href="https://prestashop.pxf.io/QyORRM" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a> 
                        {else if $iso_code_language == 'fr'}
                            <a target="_blank" href="https://prestashop.pxf.io/3eek2y" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'it'}
                            <a target="_blank" href="https://prestashop.pxf.io/rQQEVd" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'de'}  
                            <a target="_blank" href="https://prestashop.pxf.io/g11R9v" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else}  
                            <a target="_blank" href="https://prestashop.pxf.io/Gmmb66" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {/if}
                    </div>
                </li>
                <li class="item_module"> 
                    <img class="logo_module" src="{$module_dir|escape:'htmlall':'UTF-8'}views/img/logo_pack_microdatos_open_graph_premium.png">
                    <div class="module_title"><span> {l s='Pack JSON-LD Rich Results + Open Graph - SEO Premium' mod='adpmicrodatos'}</span></div>
                    <div class="module_description"><span>{l s='Buy this pack consisting of three rich results modules at a great price.' mod='adpmicrodatos'}</span></div>
                    <div class="module_button"> 
                        {if $iso_code_language == 'es'}
                            <a target="_blank" href="https://prestashop.pxf.io/q4neej" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a> 
                        {else if $iso_code_language == 'fr'}
                            <a target="_blank" href="https://prestashop.pxf.io/6eekvE" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'it'}
                            <a target="_blank" href="https://prestashop.pxf.io/k0045x" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else if $iso_code_language == 'de'}  
                            <a target="_blank" href="https://prestashop.pxf.io/zNNzAx" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {else}  
                            <a target="_blank" href="https://prestashop.pxf.io/eKKno6" class="module_href">{l s='Discover' mod='adpmicrodatos'}</a>
                        {/if}
                    </div>
                </li>
            </ul>
        </div>
    </div>
    <div class="panel">

        <h3><i class="icon-plug"></i> {l s='Related Services' mod='adpmicrodatos'}</h3>
    
        <div class="block_related_modules">
            <ul class="block_modules_related related">
                <li class="item_module"> 
                    <img class="logo_module" src="{$module_dir|escape:'htmlall':'UTF-8'}logo.png">
                    <div class="module_title"><span> {l s='Structured Data and Rich Snippets Auditing Service' mod='adpmicrodatos'}</span></div>
                    <div class="module_description"><span>{l s='Make a specific audit of the status of your structured data and rich snippets in your online shop.' mod='adpmicrodatos'}</span></div>
                    <div class="module_button"> 
                        <a target="_blank" href="https://addons.prestashop.com/es/contacte-con-nosotros?id_product=42397" class="module_href">{l s='Contact us' mod='adpmicrodatos'}</a> 
                    </div>
                </li>
            </ul>
        </div>

        <div class="block_related_modules">
            <ul class="block_modules_related related">
                <li class="item_module"> 
                    <img class="logo_module" src="{$module_dir|escape:'htmlall':'UTF-8'}logo.png">
                    <div class="module_title"><span> {l s='Custom Development Service' mod='adpmicrodatos'}</span></div>
                    <div class="module_description"><span>{l s='If the module does not adjust to your needs, contact us to study your customised development.' mod='adpmicrodatos'}</span></div>
                    <div class="module_button"> 
                        <a target="_blank" href="https://addons.prestashop.com/es/contacte-con-nosotros?id_product=42397" class="module_href">{l s='Contact us' mod='adpmicrodatos'}</a> 
                    </div>
                </li>
            </ul>
        </div>
    </div>
</div>
