<?php
/**
 * PrestaChamps
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Commercial License
 * you can't distribute, modify or sell this code
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file
 * If you need help please contact leo@prestachamps.com
 *
 * @author    PrestaChamps <leo@prestachamps.com>
 * @copyright PrestaChamps
 * @license   commercial
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_2_1_25($module)
{
    $return = true;
    if (GdprProConfig::configExists(GdprProConfig::MODULES_TO_UNLOAD)) {
        $return &= Configuration::updateValue(GdprProConfig::MODULES_TO_UNLOAD_BCK_SERIALIZED, Configuration::get(GdprProConfig::MODULES_TO_UNLOAD));

        // check if serialized array was converted to json
        $modules_arr = json_decode(Configuration::get(GdprProConfig::MODULES_TO_UNLOAD), true);

        if (json_last_error() !== JSON_ERROR_NONE) {
            $modules_to_unload_array = Tools::unSerialize(Configuration::get(GdprProConfig::MODULES_TO_UNLOAD));
            Configuration::updateValue(GdprProConfig::MODULES_TO_UNLOAD, json_encode($modules_to_unload_array));
        }
        // END check if serialized array was converted to json
    }

    $return &= Configuration::updateValue(GdprProConfig::GOOGLE_CONSENT_MODE_ENABLED, true);
    $return &= Configuration::updateValue(GdprProConfig::GOOGLE_CONSENT_MODE_URL_PASSTHROUGH, false);
    $return &= Configuration::updateValue(GdprProConfig::GOOGLE_CONSENT_MODE_ADS_DATA_REDACTION, true);

    $module->uninstallOverrides();
    $module->installOverrides();

    $return &= Db::getInstance()->execute('ALTER TABLE `' . _DB_PREFIX_ . 'gdpr_custom_script` ADD COLUMN IF NOT EXISTS `enabled_consent` int(11) NULL AFTER `active`;');

    return $return;
}
