{*
 * PrestaChamps
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file
 * If you need help please contact support@prestachamps.com
 *
 * @author    Leo Jozsa <support@prestachamps.com>
 * @copyright PrestaChamps
 * @license   commercial
 *}

<div class="panel">
	<div class="panel-heading">
		<i class="icon-home"></i>{l s='Welcome' mod='pch_googlecachepolicy'}
	</div>
	<div class="row">
		<div class="welcome-holder alert alert-success col-xs-12 col-sm-12 col-md-12 col-lg-12">
			{l s='Welcome and thank you for having purchased our module. Please read carefully the PDF documentation included with the module.' mod='pch_googlecachepolicy'}
		</div>

		<div class="image-container col-xs-12 col-sm-12 col-md-6 col-lg-6">
			<div>
				<a target="blank" href="https://addons.prestashop.com/en/226_prestachamps">
					<img class="bt-effect img-responsive" src="/modules/pch_googlecachepolicy/views/img/banner.png">
				</a>
			</div>
		</div>

		<div class="button-container col-xs-12 col-sm-12 col-md-6 col-lg-6">
			
			<div class="custom-text-container">
				{l s='We provide detailed documentation in five different languages, to ease the configuration of the module as much as possible.
                If you have any questions, we are at your disposal with any information you require.
                Don`t hesitate to leave a rating and a comment on the module. We value your opinions and feedback.
                Keep an eye on the module version and check if updates are available. If you need help with updating, just contact us.' mod='pch_googlecachepolicy'}
			</div>

			<div class="col-sm-6 col-lg-6 text-center">
				<button class="btn btn-default welcome-champs-button champs-button-documentation">
					<i class="icon-folder-open"></i>
					{l s='Documentation' mod='pch_googlecachepolicy'}
				</button>
				<div class="documentation-dropdown documentation-dropdown-languages">
					<a href="{$module_dir}docs/documentation_en.pdf" target="_blank" class="lang">EN</a>
					<a href="{$module_dir}docs/documentation_it.pdf" target="_blank" class="lang">IT</a>
					<a href="{$module_dir}docs/documentation_es.pdf" target="_blank" class="lang">ES</a>
					<a href="{$module_dir}docs/documentation_fr.pdf" target="_blank" class="lang">FR</a>
					<a href="{$module_dir}docs/documentation_de.pdf" target="_blank" class="lang">DE</a>
				</div>
			</div>

			<div class="col-sm-6 col-lg text-center">
				<a href="https://addons.prestashop.com/en/contact-us?id_product=52122" target="_blank">
					<button class="btn btn-default welcome-champs-button champs-button-contact-support">
						<i class="icon-headphones"></i>
						{l s='Contact support' mod='pch_googlecachepolicy'}
					</button>
				</a>
			</div>

			<div class="col-sm-6 col-lg-6 text-center">
				<a href="https://addons.prestashop.com/en/ratings.php" target="_blank">
					<button class="btn btn-default welcome-champs-button champs-button-rate">
						<i class="icon-star"></i>
						{l s='Rate me' mod='pch_googlecachepolicy'}
					</button>
				</a>
			</div>

			<div class="col-sm-6 col-lg-6 text-center">
				<button class="btn btn-default welcome-champs-button champs-button-info">
					<i class="icon-info-circle"></i>
					{l s='Version' mod='pch_googlecachepolicy'}: {$moduleVersion}
				</button>
			</div>

		</div>
	</div>
</div>

<div class="panel">
	<div class="panel-heading">
		<i class="icon-file"></i>{l s='Backup' mod='pch_googlecachepolicy'}
	</div>

	<div class="row">
		<table class="grid-table js-grid-table table" id=backup_grid_table>
			<thead class="thead-default">
				<tr class="column-headers">
					<th scope="col">{l s='Name' mod='pch_googlecachepolicy'}</th>
					<th scope="col">{l s='Date' mod='pch_googlecachepolicy'}</th>
					<th scope="col">{l s='Download' mod='pch_googlecachepolicy'}</th>
					<th scope="col">{l s='Restore' mod='pch_googlecachepolicy'}</th>
				</tr>
			</thead>
			<tbody>
				{foreach $backupFiles as $file}
					<tr>
						<td>{$file.name}</td>
						<td>{$file.time}</td>
						<td><a href="{$file.backupPath}" target="_blank" download="{$file.name}"><i class="icon-arrow-down"></i>{l s='Download' mod='pch_googlecachepolicy'}</a></td>
						<td><a href="#" class="restore_data" data-name="{$file.name}"><i class="icon-refresh"></i>{l s='Restore' mod='pch_googlecachepolicy'}</a></td>
					</tr>
				{/foreach}
			</tbody>
		</table>
	</div>

</div>

<style type="text/css">

	.bootstrap .table tbody>tr>td{
		padding: 5px 7px;
	}

	.close.close-icon{
		content: "\00d7";		
	}

	i,i:before{
		margin-right: 5px;
	}

	.close-button{
		float: right;
		cursor: pointer;
	}

	[class^=process-icon-]{
		font-size: 15px;
	    height: 15px;
	    margin: 0 auto;
	    width: 15px;
	    display: inline-block;
	    cursor: pointer;
	}
    
}

</style>

<script>
    $( ".champs-button-documentation" ).click(function() {
        $('.documentation-dropdown').show();
    });
	$(document).click(function(event) {
		if (!$(event.target).closest(".documentation-dropdown-languages,.champs-button-documentation").length) {
			$('.documentation-dropdown').hide();
		}
	});
	
	$(document).ready(function(){
		setTimeout(function(){
    		$(".welcome-holder").slideUp();
  		}, 5000);
	})
</script>


<script type="text/javascript">
	$(document).ready(function(){

		$(".restore_data").on("click",function(){

			var restoreName = $(this).attr("data-name");

			var request = $.ajax({

				url: '{$module_dir}restore_ajax.php',
				type: 'POST',
				dataType: 'JSON',
				{literal}
				data: {fileName: restoreName}
				{/literal}
			});


			request.done(function(response){
				console.log(response);

				if(response == 'Success'){
					$('<div class="success-response alert alert-success col-xs-12 col-sm-12 col-md-12 col-lg-12">Success <span class="close-button"><i class="process-icon-cancel"></i> Close</span></div>').insertAfter($(".welcome-holder"));
				} else if(response == "File dose't exist") {
					$('<div class="success-response alert alert-danger col-xs-12 col-sm-12 col-md-12 col-lg-12">File dosent exist <span class="close-button"><i class="process-icon-cancel"></i> Close</span></div>').insertAfter($(".welcome-holder"));
				}

			});

		});

		$(document).on('click','.close-button',function(){
			$(".success-response").hide();
		});

	});
</script>
