{*
 * 2008 - 2023 (c) Prestablog
 *
 * MODULE PrestaBlog
 *
 * @author    Prestablog
 * @copyright Copyright (c) permanent, Prestablog
 * @license   Commercial
 *}
{if Tools::getIsset('success')}
    {$prestablog->displayConfirmation("{l s='Settings updated successfully' d='Modules.Prestablog.Prestablog'}")}
{/if}

<div class="blocmodule">
    <form method="post" action="{$confpath}&commentListe" enctype="multipart/form-data">
        <fieldset>
            <input type="hidden" name="submitFiltreComment" value="1" />
            <div class="col-sm-2">
                <img src="{$imgPathFO}filter.png" />
                {l s='Filter list' d='Modules.Prestablog.Prestablog'} :
            </div>
            <div class="col-sm-2">
                <input type="radio" name="activeComment" {if $check_comment_state == -2} checked {/if}
                    onchange="form.submit();" value="-2">
                <img src="{$imgPathFO}refresh.png" /> {l s='All' d='Modules.Prestablog.Prestablog'}
            </div>
            <div class="col-sm-2">
                <input type="radio" name="activeComment" {if $check_comment_state == -1} checked {/if}
                    onchange="form.submit();" value="-1">
                <img src="{$imgPathFO}question.gif" /> {l s='Pending' d='Modules.Prestablog.Prestablog'}
            </div>
            <div class="col-sm-2">
                <input type="radio" name="activeComment" {if $check_comment_state == 1} checked {/if}
                    onchange="form.submit();" value="1">
                <i class="material-icons action-enabled" style="color: #78d07d;">check</i>
                {l s='Enabled' d='Modules.Prestablog.Prestablog'}
            </div>
            <div class="col-sm-2">
                <input type="radio" name="activeComment"
                    {if is_numeric($check_comment_state) && $check_comment_state == 0} checked {/if}
                    onchange="form.submit();" value="0">
                <i class="material-icons action-disabled" style="color: #c05c67;">clear</i>
                {l s='Disabled' d='Modules.Prestablog.Prestablog'}
            </div>
            <div class="col-sm-2">
                <div>
                    <input type="text" id="search_news" name="search_news"
                        placeholder="{l s='Search by articles' d='Modules.Prestablog.Prestablog'}" onkeyup="filter()" />
                </div>
                <div>
                    <input type="text" id="search_comment" name="search_comment"
                        placeholder="{l s='Search by comments' d='Modules.Prestablog.Prestablog'}" onkeyup="filter()" />
                </div>
                <script type="text/javascript">
                    filter();

                    function filter() {
                        var search_news = $("#search_news").val();
                        var search_comment = $("#search_comment").val();
                        var filter_search_news, filter_search_comment, table, tr, td, i, td_search_news,
                            td_search_comment;
                        filter_search_news = search_news.toLowerCase();
                        filter_search_comment = search_comment.toLowerCase();
                        table = document.getElementById("table_comment");
                        tr = table.getElementsByTagName("tr");
                        for (i = 0; i < tr.length; i++) {
                            td = tr[i].getElementsByTagName("td")[0];
                            td_search_news = tr[i].getElementsByTagName("td")[2];
                            td_search_comment = tr[i].getElementsByTagName("td")[4];
                            if (td) {
                                if ((td_search_news.innerHTML.toLowerCase().indexOf(filter_search_news.toLowerCase()) >
                                        -1) && (td_search_comment.innerHTML.toLowerCase().indexOf(filter_search_comment
                                        .toLowerCase()) > -1)) {
                                    tr[i].style.display = "";
                                } else {
                                    tr[i].style.display = "none";
                                }
                            }
                        }
                    }
                </script>
            </div>
        </fieldset>
    </form>
</div>

<div class="blocmodule">
    <fieldset>
        <legend style="margin-bottom:10px;">{l s='Comments' d='Modules.Prestablog.Prestablog'} :</legend>
        <table class="table_news" id="table_comment" cellpadding="0" cellspacing="0" style="margin:auto;width:100%;">
            <thead class="center">
                <tr>
                    <th>Id</th>
                    <th>{l s='Date' d='Modules.Prestablog.Prestablog'}</th>
                    <th>{l s='News' d='Modules.Prestablog.Prestablog'}</th>
                    <th>{l s='Name' d='Modules.Prestablog.Prestablog'}</th>
                    <th>{l s='Comment' d='Modules.Prestablog.Prestablog'}</th>
                    <th class="center" style="width:100px;">{l s='Status' d='Modules.Prestablog.Prestablog'}</th>
                    <th class="center">{l s='Actions' d='Modules.Prestablog.Prestablog'}</th>
                </tr>
            </thead>

            {if count($liste) > 0}
                {foreach $liste  $value}
                    <tr>
                        <td class="center">{$value['id_prestablog_commentnews']}</td>
                        {if Language::getIsoById((int) (Configuration::get('PS_LANG_DEFAULT'))) == 'FR'}
                            <td class="center">{ToolsCore::displayDate($value['date'], 1, true)}</td>
                        {else}
                            {assign "orderdate" explode('-', $value['date'])}
                            {assign "orderdate2" explode(' ', $orderdate[2])}
                            <td class="center">{$orderdate[1]}/{$orderdate2[0]}/{$orderdate[0]} {$orderdate2[1]}</td>
                        {/if}

                        {assign "title_news" NewsClass::getTitleNews((int) $value['news'], (int) $context->language->id)}

                        <td>
                            <a href="{$confpath}&editNews&idN={$value['news']}">
                                {$prestablog::cleanCut($title_news, 40, '...')}
                            </a>
                        </td>
                        <td>{$value['name']}</td>
                        <td><small>{$prestablog::cleanCut($value['comment'], 120, '...')}</small></td>
                        {assign "urlcmtliste" "{$confpath}&commentListe&idC={$value['id_prestablog_commentnews']}"}
                        <td class="status">
                            <a class="enabled" href="{$urlcmtliste}&enabledComment" {if (int) $value['actif'] != 1}
                                style="display:none;" {else} rel="1"
                                {/if}>
                                <img class="imgrfsh enabled" src="{$imgPathFO}enabled.gif"
                                    title="{l s='Approuved' d='Modules.Prestablog.Prestablog'}" />
                            </a>
                            <a class="disabled" href="{$urlcmtliste}&disabledComment" {if (int) $value['actif'] != 0}
                                style="display:none;" {else} rel="1"
                                {/if}>
                                <img class="imgrfsh disabled" src="{$imgPathFO}disabled.gif"
                                    title="{l s='Disabled' d='Modules.Prestablog.Prestablog'}" />
                            </a>
                            <a class="question" href="{$urlcmtliste}&pendingComment" {if (int) $value['actif'] != -1 }
                                style="display:none;" {else} rel="1"
                                {/if}>
                                <img class="imgrfsh" src="{$imgPathFO}question.gif" {l s='Pending' d='Modules.Prestablog.Prestablog'} />
                            </a>
                        </td>
{literal}
                        <script language="javascript" type="text/javascript">
                            $(document).ready(function() {
                                        $("td.status").mouseenter(function() {
                                            $(this).find("a").fadeIn();
                                        }).mouseleave(function() {
                                                $(this).find("a").each(function() {
                                                        if ($(this).attr('rel') != 1) {
                                                                $(this).fadeOut();
                                                            }
                                                        });
                                                });
                                        });
                        </script>
{/literal}
                        <form method="post" action="{$confpath}&deleteAllComment&idC={$value['id_prestablog_commentnews']}">
                            <td class="center">
                                <a href="{$confpath}&editComment&idC={$value['id_prestablog_commentnews']}"
                                    title="{l s='Edit' d='Modules.Prestablog.Prestablog'}">
                                    <i class="material-icons" style="color: #6c868e;">mode_edit</i>
                                </a>
                                <a href="{$confpath}&deleteComment&idC={$value['id_prestablog_commentnews']}"
                                    onclick="return confirm(\'{l s='Are you sure?' d='Modules.Prestablog.Prestablog'}\');">
                                    <i class="material-icons" style="color: #6c868e;">delete</i>
                                </a>
                                <input type="checkbox" name="AllidCToDelete[]" value="{$value['id_prestablog_commentnews']}"
                                    style="vertical-align: middle;margin-left: 2px;" />


                            </td>
                    </tr>
                {/foreach}
            {/if}
            <div class="col-sm-2" style="float:right;">
                <input type="submit" id="deleteAllComment" name="deleteAllComment"
                    value="{l s='Delete checked comments' d='Modules.Prestablog.Prestablog'}"
                    onclick="return confirm(\'{l s='Are you sure?' d='Modules.Prestablog.Prestablog'}\');" style="float:right;" />
            </div>

            </form>
            {assign "page_type" 'commentsList'}
            {if (int) $pagination['NombreTotalPages'] > 1}
                <tfooter>
                    <tr>
                        <td colspan="6">
                            <div class="prestablog_pagination">
                                {if (int) $pagination['PageCourante'] > 1}
                                    {assign "pageload" "{$page_type}&start={$pagination['StartPrecedent']}&p={$pagination['PagePrecedente']}"}
                                    <a href="{$confpath}&{$pageload}">&lt;&lt;</a>
                                {else}
                                    <span class="disabled">&lt;&lt;</span>
                                {/if}
                                {if $pagination['PremieresPages']}
                                    {foreach $pagination['PremieresPages'] $value_page $key_page}
                                        {if (int) Tools::getValue('p') == $key_page || (Tools::getValue('p') == '' && $key_page == 1)}
                                            <span class="current">{$key_page}</span>
                                        {else}
                                            {if $key_page == 1}
                                                <a href="{$confpath}">{$key_page}</a>
                                            {else}
                                                <a href="{$confpath}&start={$value_page}&p={$key_page}">{$key_page}</a>
                                            {/if}
                                        {/if}
                                    {/foreach}
                                {/if}
                                {if isset($pagination['Pages']) && $pagination['Pages']}
                                    <span class="more">...</span>
                                    {foreach $pagination['Pages'] $value_page $key_page}
                                        {if !in_array($value_page, $pagination['PremieresPages'])}
                                            {if (int) Tools::getValue('p') == $key_page || Tools::getValue('p') == ''}
                                                <span class="current">{$key_page}</span>
                                            {else}
                                                <a href="{$confpath}&{$page_type}&start={$value_page}&p={$key_page}">{$key_page}</a>
                                            {/if}
                                        {/if}
                                    {/foreach}
                                {/if}
                                {if $pagination['PageCourante'] < $pagination['NombreTotalPages']}
                                    {assign "pageload" "&start={$pagination['StartSuivant']}&p={$pagination['PageSuivante']}"}
                                    <a href="{$confpath}&{$pageload}">&gt;&gt;</a>
                                {else}
                                    <span class="disabled">&gt;&gt;</span>
                                {/if}
                            </div>
                        </td>
                    </tr>
                </tfooter>
            {else}
                <tr>
                    <td colspan="8" class="center">{l s='No content registered' d='Modules.Prestablog.Prestablog'}</td>
                </tr>
            {/if}
        </table>
    </fieldset>
</div>